#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.40.143:8761/eureka/
  instance.ipAddress: 192.168.59.20
spring:
  application:
    name: upcloud-base-wh-inbound-xiong
  #redis配置
  redis:
    host: 192.168.40.143
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.40.143
    port: 5672
    username: root
    password: prolog0212
    virtual-host: /upcloud
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.40.142:1521:orcl
    username: upcloud_biz_inbound
    password: upcloud_biz_inbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 432000 #12小时
    refreshTokenValiditySeconds: 25920000 #30天
  rabbitmqManage:
    username: admin
    password: prolog-mq-20191229
    host: 192.168.1.18

logging:
  config: classpath:log4j2-dev.xml
  level.root: info